အကြောင်းအရာသို့ ကျော်ရန်

Flux 3 Image · Edit Image

ပေါင်းစည်းရန်

မော်ဒယ် id blackforestlabs/flux-3/edit-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ၀.၀၄၈ $ ၄၈ API ခရက်ဒစ် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Black Forest Labs ပုံတည်းဖြတ်ခြင်း 4K ထွက်ရလဒ်4k အထိ #flux-3-image#black-forest-labs#multi-reference

FLUX 3 ပုံတည်းဖြတ်စနစ်ဖြစ်ပြီး ဒေသအလိုက် တည်းဖြတ်မှုများ ပြုလုပ်ကာ ရည်ညွှန်းပုံ အများဆုံး 10 ပုံကို ပေါင်းစပ်သည်

Black Forest Labs · ပုံ

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည်

ပုံဖန်တီးမှုကို လမ်းညွှန်ပေးသည့် ပရောမ့်။

•လိုအပ်သည် image_urls
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ် · 10 အထိ

URL သို့မဟုတ် data URI များမှ ပေးထားသော ရည်ညွှန်းပုံများ။ အလိုအလျောက် အချိုးအစားသည် image 1 မှ image 10 အထိ အစဉ်လိုက်ရှိသည့် ပုံများအနက် ပထမပုံကို လိုက်နာသည်။ အတိုင်းအတာနှစ်ခုစလုံးသည် အနည်းဆုံး 256 pixels ဖြစ်ရမည်။ အလိုအလျောက် အရွယ်လျှော့ခြင်းသည် အချိုးအစားမပြောင်းဘဲ အရွယ်အစားကြီးပုံများကို 4 မီဂါပစ်ဇယ် အထိ ကန့်သတ်သည်။

resolution မူလ 1k

ထွက်ရလဒ်၏ ရုပ်ထွက်အရည်အသွေးအဆင့်။ 4k ဖြင့် ဖန်တီးပါက မိနစ်အနည်းငယ် ကြာနိုင်သည်။

မူလ auto

ထွက်ရလဒ်၏ အချိုးအစား။ တည်းဖြတ်နေစဉ် Auto သည် ပထမရည်ညွှန်းပုံ၏ အချိုးနှင့် ကိုက်ညီသည်။

အဆင့်မြင့် output_format · version · safety_tolerance · enable_prompt_expansion
output_format မူလ jpeg

ရလဒ်ပုံအတွက် ဖိုင်ဖော်မတ်။

မူလ latest

အသုံးပြုမည့် မော်ဒယ်၏ ဗားရှင်း။

မူလ 2

တင်းကျပ်ဆုံး ဆက်တင် 0 မှ 4 အထိရှိသော ဘေးကင်းရေး ခံနိုင်ရည်။

POST /run/blackforestlabs/flux-3/edit-image?wait=20 ကုန်ကျစရိတ် → ၀.၀၄၈ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Flux 3 Image · Edit Image အကြောင်း

ပုံတစ်ပုံကို ပြင်ဆင်ခြင်း သို့မဟုတ် `image_urls` အတွင်းရှိ ရည်ညွှန်းချက် 1 မှ 10 ခုမှ ရလဒ်ဖန်တီးခြင်း ပြုလုပ်သည်။ တစ်ခုစီတွင် ဘေးတစ်ဖက်လျှင် အနည်းဆုံး 256 ပစ်ဇယ် ရှိရမည်။ အချိုးအစား 14 မျိုးထဲမှ `aspect_ratio` ကို ရွေးချယ်နိုင်သည် သို့မဟုတ် ပထမဆုံး ရည်ညွှန်းချက်အတိုင်း လိုက်နာသည့် auto ကို အသုံးပြုနိုင်သည်။ `resolution` တွင် 512sq၊ 768sq၊ 1k၊ 2k နှင့် 4k ပါဝင်ပြီး 4k အတွက် မိနစ်အနည်းငယ် ကြာနိုင်သည်။ ရွေးချယ်နိုင်သော ပရောမ့်ချဲ့ထွင်မှုနှင့် jpeg သို့မဟုတ် png ထွက်ရလဒ်တို့ကို အသုံးပြုနိုင်သည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
promptလိုအပ်သည်
အမျိုးအစားstring
ပုံဖန်တီးမှုကို လမ်းညွှန်ပေးသည့် ပရောမ့်။
image_urlsလိုအပ်သည် images
အမျိုးအစားurl[] · image
အကြောင်းအရာ ၁၀ ခုထက် မပိုပါ
URL သို့မဟုတ် data URI များမှ ပေးထားသော ရည်ညွှန်းပုံများ။ အလိုအလျောက် အချိုးအစားသည် image 1 မှ image 10 အထိ အစဉ်လိုက်ရှိသည့် ပုံများအနက် ပထမပုံကို လိုက်နာသည်။ အတိုင်းအတာနှစ်ခုစလုံးသည် အနည်းဆုံး 256 pixels ဖြစ်ရမည်။ အလိုအလျောက် အရွယ်လျှော့ခြင်းသည် အချိုးအစားမပြောင်းဘဲ အရွယ်အစားကြီးပုံများကို 4 မီဂါပစ်ဇယ် အထိ ကန့်သတ်သည်။
aspect_ratioရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးauto
auto21:92:116:93:27:54:35:41:14:53:45:72:39:161:2
ထွက်ရလဒ်၏ အချိုးအစား။ တည်းဖြတ်နေစဉ် Auto သည် ပထမရည်ညွှန်းပုံ၏ အချိုးနှင့် ကိုက်ညီသည်။
resolutionရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုး1k
512sq768sq1k2k4k
ထွက်ရလဒ်၏ ရုပ်ထွက်အရည်အသွေးအဆင့်။ 4k ဖြင့် ဖန်တီးပါက မိနစ်အနည်းငယ် ကြာနိုင်သည်။
enable_prompt_expansionရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးfalse
ရည်ရွယ်ထားသော အဓိပ္ပာယ် သို့မဟုတ် ရည်ညွှန်းအခန်းကဏ္ဍများကို မပြောင်းလဲဘဲ ပရောမ့်ချဲ့ထွင်မှုကို ထိန်းချုပ်သည်။
safety_toleranceရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး2
၀ – ၄
တင်းကျပ်ဆုံး ဆက်တင် 0 မှ 4 အထိရှိသော ဘေးကင်းရေး ခံနိုင်ရည်။
output_formatရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးjpeg
jpegpng
ရလဒ်ပုံအတွက် ဖိုင်ဖော်မတ်။
versionရွေးချယ်နိုင်သည်
အမျိုးအစားstring
မူလတန်ဖိုးlatest
အသုံးပြုမည့် မော်ဒယ်၏ ဗားရှင်း။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "blackforestlabs/flux-3/edit-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 48,
    "usd": "0.048",
    "charged": 48,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
images
array of object {url, content_type, file_name, file_size, width, height}မော်ဒယ်မှ ထုတ်လုပ်ထားသော ပုံ။

နောက်ထပ် မော်ဒယ်များ: ပုံတည်းဖြတ်ခြင်း

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/blackforestlabs/flux-3/edit-image.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt